{% extends "base.html" %}

{% set active_page = "clean" %}

{% block content %}
    <div>
        <h1>Nitrogen Trap Clean Action</h1>

        {% if last_cleaned %}
            <h2>Last Cleaned: {{ last_cleaned.strftime('%d-%m-%Y %H:%M:%S') }}</h2>
        {% else %}
            <h2>Last Cleaned: Never</h2>
        {% endif %}

        {% if last_cleaned_ago is not none %}
            <h2>Days Ago Last Cleaned: {{ last_cleaned_ago }}</h2>
        {% else %}
            <h2>Days Ago Last Cleaned: NaN</h2>
        {% endif %}
    </div>
    <hr style="width:25%">
    <div>
        <form method="post">
            <div>
                <label for="clean-time">Clean time: </label>
                <input
                    type="datetime-local"
                    id="clean-time"
                    name="clean-time"
                />
            </div>
            <br>
            <button class="button-3" type="submit">Submit new clean data</button>
        </form>
    </div>

{% endblock %}